Subject: bug#8935: 24.0.50; `substitute-command-keys' doc

From: Andreas Schwab <[email-masked]>
Date: Mon, 18 Jul 2011 16:27:31 +0200

Stefan Monnier <[email-masked]> writes:

> Actually \ does have a special meaning, which depends on the following
> char (just like \ in regexps).  The difference between that and regexps
> is that in regexp \<char> turns into just <char> when \<char> has no
> special meaning, where it turns into \<char> here.

If you want a \ in a regexp you must write \\, always.  But if you want
to have a \ from substitute-command-keys you just write \, and if you
want \\= you must write \\=\=.  Thus \ by itself is not special here.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."